using Hotline.Share.Dtos.Snapshot;
using Hotline.ThirdAccountDomainServices.Interfaces;
using Hotline.WeChat;

namespace Hotline.Tests.Infrastructure;
public class WeiXinTest
{
    private readonly IThirdIdentiyService _weChatService;

    public WeiXinTest(IThirdIdentiyService weChatService)
    {
        _weChatService = weChatService;
    }

    [Fact]
    public async Task GetPhoneNumber_Test()
    {
        var result = await _weChatService.GetPhoneNumberAsync(new ThirdTokenDto { AppId = "12333", Secret = "4444444" }, CancellationToken.None);
    }
}
